import { VueInstance } from '../hooks/_vueuse/unrefElement';
import { camelize } from '../util';
import { default as initDefaultProps } from './initDefaultProps';
declare const splitAttrs: (attrs: any) => {
    onEvents: Record<string, any>;
    events: Record<string, any>;
    extraAttrs: Record<string, any>;
};
declare const parseStyleText: (cssText?: string, camel?: boolean) => {};
declare const hasProp: (instance: any, prop: string) => boolean;
export declare const skipFlattenKey: unique symbol;
declare const flattenChildren: (children?: never[], filterEmpty?: boolean) => any[];
declare const getSlot: (self: any, name?: string, options?: {}) => any[];
declare const findDOMNode: (instance: any) => any;
declare const getOptionProps: (instance: VueInstance) => {};
declare const getComponent: (instance: any, prop?: string, options?: any, execute?: boolean) => any;
declare const getKey: (ele: any) => any;
export declare function getEvents(ele?: any, on?: boolean): Record<string, any>;
export declare function getClass(ele: any): {};
export declare function getStyle(ele: any, camel?: boolean): any;
export declare function getComponentName(opts: any): any;
export declare function isFragment(c: any): boolean;
export declare function isEmptyContent(c: any): boolean;
export declare function isEmptyElement(c: any): any;
export declare function isEmptySlot(c: any): any;
export declare function isStringElement(c: any): any;
export declare function filterEmpty(children?: never[]): any[];
export declare function filterEmptyWithUndefined(children: any[]): any[] | undefined;
declare function isValidElement(element: any): any;
declare function getPropsSlot(slots: any, props: any, prop?: string): any;
export declare const getTextFromElement: (ele: any) => any;
export { camelize, findDOMNode, flattenChildren, getComponent, getKey, getOptionProps, getPropsSlot, getSlot, hasProp, initDefaultProps, isValidElement, parseStyleText, splitAttrs, };
export default hasProp;
